Выполнение произвольного PHP кода в iWare Professional SimpleChat

Дата публикации:
08.11.2006
Всего просмотров:
2872
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
iWare Professional 5.x
Уязвимые версии: iWare Professional SimpleChat, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "msg" в сценарии admin/mods/SimpleChat_1.0.0/chat_panel.php перез сохранением данных в файл chat_log.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

URL производителя: www.dsiware.com/iware5.php

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: iWare Pro <= 5.0.4 (chat_panel.php) Remote Code Execution Vulnerability

или введите имя

CAPTCHA